![npm (scoped)](https://img.shields.io/npm/v/@hyperobjekt/spi-auth)

# @hyperobjekt/spi-auth

## Installation

```sh
npm i @hyperobjekt/spi-auth
# or
yarn @hyperobjekt/spi-auth
```

## Usage

```jsx
import { SpiAuth, signOut } from '@hyperobjekt/spi-auth'

const App = () =>
  <>
    <SpiAuth {...props} />
    <button onClick={signOut}
  </>
```

### \<SpiAuth />

| Property           | Type       | Default      | Description                       |
| ------------------ | ---------- | ------------ | --------------------------------- |
| `description?`     | String     | `""`         | Introduction text for login modal |
| `onValidateEmail?` | Function() | `() => void` | Callback after email is validated |
